#!/bin/sh -e
### BEGIN INIT INFO
# Provides:          yandex-daemon
# Required-Start:    $local_fs $remote_fs $network
# Required-Stop:     $local_fs $remote_fs $network
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: Start or stop the yandex-daemon.
### END INIT INFO

PROGRAM_NAME=yandexctl
PKG_PATH=/usr/local/AppCentral/yandex
DROPBOXCTL_PATH=$PKG_PATH/bin/$PROGRAM_NAME
USER=admin

case "$1" in
    start)
        echo "Starting yandex daemon" "$PROGRAM_NAME"
        $DROPBOXCTL_PATH startall >> $PKG_PATH'/etc/ctrl.log' 2>&1
        ;;
    stop)
        echo "Stopping yandex daemon" "$PROGRAM_NAME"
        $DROPBOXCTL_PATH stopall
		killall -9 yandexd
		#killall -9 onedrive.cgi
		;;
    restart)
        echo "Restarting yandex daemon" "$PROGRAM_NAME"
        $0 stop
        $0 start
        ;;
    *)
        echo "usage: $0 {start|stop|restart}"
        exit 2
        ;;
esac

exit 0

